| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Static Public Member Functions | List of all members
Ogre::D3D11DeviceResourceManager Class Reference

Singleton that is used to propagate device state changed notifications. More...

`#include <OgreD3D11DeviceResource.h>`

Inheritance diagram for Ogre::D3D11DeviceResourceManager:
[legend]

## Public Member Functions
void | notifyDeviceLost (D3D11Device *device)
void | notifyDeviceRestored (D3D11Device *device)
void | notifyResourceCreated (D3D11DeviceResource *deviceResource)
void | notifyResourceDestroyed (D3D11DeviceResource *deviceResource)

## Static Public Member Functions
static D3D11DeviceResourceManager * | get ()

## Detailed Description

Singleton that is used to propagate device state changed notifications.

This class is intended to be used as protected base.

## Member Function Documentation

## ◆ notifyResourceCreated()

void Ogre::D3D11DeviceResourceManager::notifyResourceCreated | ( | D3D11DeviceResource * | deviceResource | ) |

## ◆ notifyResourceDestroyed()

void Ogre::D3D11DeviceResourceManager::notifyResourceDestroyed | ( | D3D11DeviceResource * | deviceResource | ) |

## ◆ notifyDeviceLost()

void Ogre::D3D11DeviceResourceManager::notifyDeviceLost | ( | D3D11Device * | device | ) |

## ◆ notifyDeviceRestored()

void Ogre::D3D11DeviceResourceManager::notifyDeviceRestored | ( | D3D11Device * | device | ) |

## ◆ get()

static D3D11DeviceResourceManager* Ogre::D3D11DeviceResourceManager::get | ( |  | ) |
| static

The documentation for this class was generated from the following file:

- OgreD3D11DeviceResource.h